summaryrefslogtreecommitdiff
path: root/t/extra-sources-no-spurious.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/extra-sources-no-spurious.sh')
-rw-r--r--t/extra-sources-no-spurious.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/t/extra-sources-no-spurious.sh b/t/extra-sources-no-spurious.sh
new file mode 100644
index 000000000..f3c3f5bdb
--- /dev/null
+++ b/t/extra-sources-no-spurious.sh
@@ -0,0 +1,34 @@
+#! /bin/sh
+# Copyright (C) 1996-2013 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+# Check to make sure EXTRA_foo_SOURCES are not defined unnecessarily.
+
+. test-init.sh
+
+cat >> configure.ac << 'END'
+AC_PROG_CC
+END
+
+cat > Makefile.am << 'END'
+bin_PROGRAMS = foo
+END
+
+$ACLOCAL
+$AUTOMAKE
+
+grep EXTRA_foo_SOURCES Makefile.in && exit 1
+
+: